GNU bug report logs - #39118
3.0.0 JIT segfaults on 64-bit Cygwin

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Reported by: John Cowan <cowan@HIDDEN>; dated Mon, 13 Jan 2020 17:27:02 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 24 Jan 2020 15:26:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 10:26:51 2020
Received: from localhost ([127.0.0.1]:54621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iv0rD-00046A-DX
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2020 10:26:51 -0500
Received: from p-impout005aa.msg.pkvw.co.charter.net ([47.43.26.136]:54012
 helo=p-impout001.msg.pkvw.co.charter.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dsmich@HIDDEN>) id 1iv0rB-00045o-5K
 for 39118 <at> debbugs.gnu.org; Fri, 24 Jan 2020 10:26:49 -0500
Received: from localhost ([54.243.7.172]) by cmsmtp with ESMTP
 id v0r4ioWE7lLVdv0r5ipFQX; Fri, 24 Jan 2020 15:26:43 +0000
X-Authority-Analysis: v=2.3 cv=bI1o382Z c=1 sm=1 tr=0
 a=ZhHbwgLlxfPm5G22ibXkng==:117 a=ZhHbwgLlxfPm5G22ibXkng==:17
 a=CWu-ru1EMAMA:10 a=mDV3o1hIAAAA:8 a=PW3MP3VhAAAA:8 a=2tsvuTQuAAAA:8
 a=ys4_Yv5E0QSmCxxam1oA:9 a=QEXdDO2ut3YA:10 a=6P6AnMHC3_EEb1QOi_4A:9
 a=r64BLdijFQ7gRPfv:21 a=_W_S_7VecoQA:10 a=_FVE-zBwftR9WsbkzFJk:22
 a=wGa3ZVs4GtKCUdeekXtI:22 a=w1QI8THEI4iyJQ0oNEIE:22 a=pHzHmUro8NiASowvMSCR:22
 a=Ew2E2A-JSTLzCXPT_086:22
Message-Id: <99218b8d8f572c8748963924e82d265652487a09@webmail>
From: dsmich@HIDDEN
To: "'John Cowan'" <cowan@HIDDEN>
X-Mailer: Atmail 
X-Originating-IP: [98.103.13.34]
X-Priority: 3
Importance: Normal
X-MSMail-Priority: Normal
Subject: RE: bug#39118: Segfault while building on 64-bit Cygwin
Date: Fri, 24 Jan 2020 15:26:42 +0000
Content-Type: multipart/alternative;
 boundary="=_9fe747825349203c6af510d69f278407"
MIME-Version: 1.0
X-CMAE-Envelope: MS4wfHxyCFTcgRkQKD/KIavuF1LfxYAZa0MYwBh47rZZSegRMX747uOB0O9t6of9z5PCMXIKtOTHb7qWU6g+2EuTSQC+RO4CirbN8DglDzJSQhiwbpmEVCXH
 G0F6h+pHuO+cjQ3APRiQWCiSNs51a9/PQZiTYZfxhdvVeay6xIDiBwitYKAsbWsUS4qndzNS66vRObwcQtNScew/PTfQsMM7w9rqct49z0OkDCFOxBPL9Sgn
 QiCverVLhwyCWaEq8txoOw==
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pretty sure that the missing readline symbol is because the
    macos readline is being used/found instead of GNU readline. -Dale From: "John
    Cowan" To: "Ludovic Courtès" Cc: 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
    Sent: Friday January 24 2020 9:36:59AM Subject: bug#39118: Segfault w [...]
    
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 HTML_MESSAGE           BODY: HTML included in message
  1.8 MISSING_MIMEOLE        Message has X-MSMail-Priority, but no X-MimeOLE
X-Debbugs-Envelope-To: 39118
Cc: "'39118 <at> debbugs.gnu.org'" <39118 <at> debbugs.gnu.org>,
 '=?UTF-8?B?THVkb3ZpYyBDb3VydMOocw==?=' <ludo@HIDDEN>,
 "'guile-devel@HIDDEN'" <guile-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

--=_9fe747825349203c6af510d69f278407
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Pretty sure that the missing readline symbol is because the macos=0Aread=
line is being used/found instead of GNU readline.=0A=0A=09-Dale=0A=0A=09=
-----------------------------------------From: "John Cowan" =0ATo: "Ludo=
vic Court=C3=A8s"=0ACc: 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN=0ASen=
t: Friday January 24 2020 9:36:59AM=0ASubject: bug#39118: Segfault while=
 building on 64-bit Cygwin=0A=0ABoth Cygwin and MacOS crash in pretty mu=
ch the same way. By disabling=0Athe JIT, I was able to get the Cygwin bu=
ild to run to completion. On=0AMacOS with --disable-jit, however, I am n=
ow getting an entirely new=0Afailure:=0A CC readline.lo=0Areadline.c:432=
:7: warning: implicitly declaring library function=0A'strncmp' with type=
 'int (const char *, const char *,=0A unsigned long)' [-Wimplicit-functi=
on-declaration]=0A if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "=
vi", 2))=0A ^=0Areadline.c:432:7: note: include the header  or explicitl=
y provide a=0Adeclaration for 'strncmp'=0Areadline.c:432:16: warning: im=
plicit declaration of function=0A'rl_get_keymap_name' is invalid in C99=
=0A [-Wimplicit-function-declaration]=0A if (strncmp (rl_get_keymap_name=
 (rl_get_keymap ()), "vi", 2))=0A ^=0Areadline.c:432:16: warning: incomp=
atible integer to pointer conversion=0Apassing 'int' to parameter of typ=
e 'const char *'=0A [-Wint-conversion]=0A if (strncmp (rl_get_keymap_nam=
e (rl_get_keymap ()), "vi", 2))=0A ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
=0A3 warnings generated.=0A CCLD guile-readline.la [1]=0AUndefined symbo=
ls for architecture x86_64:=0A "_rl_get_keymap_name", referenced from:=
=0A _scm_init_readline in readline.o=0Ald: symbol(s) not found for archi=
tecture x86_64=0Aclang: error: linker command failed with exit code 1 (u=
se -v to see=0Ainvocation)=0A=0AOn Thu, Jan 23, 2020 at 3:35 PM Ludovic=
 Court=C3=A8s  wrote:=0AHi,=0A=0A John Cowan  skribis:=0A=0A > Thanks. U=
nfortunately, the standard recipe for making core dumps on=0AMac=0A=0A T=
his bug report is about Cygwin, not macOS, right? :-)=0A=0A Ludo=E2=80=
=99.=0A  =0A=0ALinks:=0A------=0A[1] http://guile-readline.la=0A[2] mail=
to:ludo@HIDDEN=0A[3] mailto:cowan@HIDDEN=0A

--=_9fe747825349203c6af510d69f278407
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><body>Pretty sure that the missing readline symbol is because the=
 macos readline is being used/found instead of GNU readline.<p><br></p><=
p>-Dale</p><p><br></p><div class=3D"reply-new-signature"></div><p>------=
-----------------------------------</p>From: "John Cowan" <cowan@HIDDEN=
g><br>To: "Ludovic Court=C3=A8s"<br>Cc: 39118 <at> debbugs.gnu.org, guile-dev=
el@HIDDEN<br>Sent: Friday January 24 2020 9:36:59AM<br>Subject: bug#391=
18: Segfault while building on 64-bit Cygwin<br><br><div dir=3D"ltr">Bot=
h Cygwin and MacOS crash in pretty much the same way.&nbsp; By disabling=
 the JIT, I was able to get the Cygwin build to run to completion.&nbsp;=
 On MacOS with --disable-jit, however, I am now getting an entirely new=
 failure:<div><br></div><div>&nbsp; CC &nbsp; &nbsp; &nbsp; readline.lo<=
br>readline.c:432:7: warning: implicitly declaring library function 'str=
ncmp' with type 'int (const char *, const char *,<br>&nbsp; &nbsp; &nbsp=
; unsigned long)' [-Wimplicit-function-declaration]<br>&nbsp; if (strncm=
p (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))<br>&nbsp; &nbsp; &nb=
sp; ^<br>readline.c:432:7: note: include the header &lt;string.h&gt; or=
 explicitly provide a declaration for 'strncmp'<br>readline.c:432:16: wa=
rning: implicit declaration of function 'rl_get_keymap_name' is invalid=
 in C99<br>&nbsp; &nbsp; &nbsp; [-Wimplicit-function-declaration]<br>&nb=
sp; if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))<br>&nb=
sp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;^<br>readline.c:432:=
16: warning: incompatible integer to pointer conversion passing 'int' to=
 parameter of type 'const char *'<br>&nbsp; &nbsp; &nbsp; [-Wint-convers=
ion]<br>&nbsp; if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi",=
 2))<br>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;^~~~~~~~~=
~~~~~~~~~~~~~~~~~~~~~~~~~~~~<br>3 warnings generated.<br>&nbsp; CCLD &nb=
sp; &nbsp; <a href=3D"http://guile-readline.la">guile-readline.la</a><br=
>Undefined symbols for architecture x86_64:<br>&nbsp; "_rl_get_keymap_na=
me", referenced from:<br>&nbsp; &nbsp; &nbsp; _scm_init_readline in read=
line.o<br>ld: symbol(s) not found for architecture x86_64<br>clang: erro=
r: linker command failed with exit code 1 (use -v to see invocation)<br>=
</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gma=
il_attr">On Thu, Jan 23, 2020 at 3:35 PM Ludovic Court=C3=A8s &lt;<a hre=
f=3D"mailto:ludo@HIDDEN">ludo@HIDDEN</a>&gt; wrote:<br></div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1=
px solid rgb(204,204,204);padding-left:1ex">Hi,<br>=0A<br>=0AJohn Cowan=
 &lt;<a href=3D"mailto:cowan@HIDDEN" target=3D"_blank">cowan@HIDDEN<=
/a>&gt; skribis:<br>=0A<br>=0A&gt; Thanks.&nbsp; Unfortunately, the stan=
dard recipe for making core dumps on Mac<br>=0A<br>=0AThis bug report is=
 about Cygwin, not macOS, right?&nbsp; :-)<br>=0A<br>=0ALudo=E2=80=99.<b=
r>=0A</blockquote></div>=0A=0A</cowan@HIDDEN></body></html>

--=_9fe747825349203c6af510d69f278407--





Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 24 Jan 2020 14:37:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 24 09:37:17 2020
Received: from localhost ([127.0.0.1]:53618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iv05F-0002co-FY
	for submit <at> debbugs.gnu.org; Fri, 24 Jan 2020 09:37:17 -0500
Received: from mail-qt1-f179.google.com ([209.85.160.179]:37579)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cowan@HIDDEN>) id 1iv05E-0002cb-Aw
 for 39118 <at> debbugs.gnu.org; Fri, 24 Jan 2020 09:37:16 -0500
Received: by mail-qt1-f179.google.com with SMTP id w47so1649355qtk.4
 for <39118 <at> debbugs.gnu.org>; Fri, 24 Jan 2020 06:37:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ccil-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=sfLTDED44kszANRogyIZLZv87XlE0nQZiF4tDx2ceeU=;
 b=1xpq9m+3xuYDme3WgE0t2XofjrgyE4NsgD5hTumzYTqudLKQYsdmHFbw1v486jKpa9
 m5XKdKFux848jurG05LfPow4TVuPbb53lGUUldJYUQMOAnei+WnTZlQJ/kBJQc3W1VCF
 elPS3Bp0zakAjHbKThNLgkd03EqLj/vnWUWlT2PDcBCgBdgGLKRSkEMJKIigwkW6ouQu
 hR9kMIUSqald6Rx1kpaHB8ertTnjIJ85xjJAqk9l2YeOmmL04DiFSGlTrxEA+oGjf6RG
 JCy86kNpczbcEcgp4vMhiQjAoyqrDdtY+6w4oo+CMrW/ImZkTr9QMI7Gtd+2bS7ESEKO
 xyhg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=sfLTDED44kszANRogyIZLZv87XlE0nQZiF4tDx2ceeU=;
 b=SPCNrmfEOPtA18rTDYxTmXaqBm2R3JGN38pUT/KCClgc0KaOWGADAgiyVxG4bv0GUu
 ShbGcc798k1jsJR4tF/D3ylngolbSjUyuK4+TsHYa23DxFMmLQUOoo+6xN1pf1csDeUk
 0hFcGd404kjHXn/iAYvZ2lkB/Uvzxa8c6hhagr46+Xtsm4P76coDZyPhwW2uPhG4YGFg
 YWxiMEXZp3h0Ed7rhvXQ+JzwsnIeCJSt+6CaQTIj6T3UVkS4IhSuHmFldpUiyeNIlC0q
 42A48HuypmlzAerfIhHrAGxmMqQn9q+d3n7PsV5GKZYjbKj80hZlmuSdtrtarRdcrEpV
 Z29w==
X-Gm-Message-State: APjAAAVV6iGCoG6m6JGbSC/Lbfoc1cy6UVOHYiXu0S84X77u94bfX7Yn
 vsWh2vDmzV+LrAqiznIiXh/eiwCz+RHf9HwUhepLgA==
X-Google-Smtp-Source: APXvYqwtkFQwHFm+hnxx5yKRtRCSuCwylyS9SVuGbI6N1uK+k7djGL/+fgDRyF4dVADTkhsr6zeTopj5vyu3UGAapEk=
X-Received: by 2002:ac8:454e:: with SMTP id z14mr2257806qtn.83.1579876630706; 
 Fri, 24 Jan 2020 06:37:10 -0800 (PST)
MIME-Version: 1.0
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
 <87sgk9faih.fsf@HIDDEN>
 <CAD2gp_Ts8VfLUaQ+kC=g+f_5mv0jzLZpN_-U9dvi6Y4jy0-cLw@HIDDEN>
 <871rrpoqql.fsf@HIDDEN>
In-Reply-To: <871rrpoqql.fsf@HIDDEN>
From: John Cowan <cowan@HIDDEN>
Date: Fri, 24 Jan 2020 09:36:59 -0500
Message-ID: <CAD2gp_RkOYj6E6b9PjHerctAJN6NPYznQ4qi8NSXL0edKEM9dw@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000005ce83c059ce3b13d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005ce83c059ce3b13d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Both Cygwin and MacOS crash in pretty much the same way.  By disabling the
JIT, I was able to get the Cygwin build to run to completion.  On MacOS
with --disable-jit, however, I am now getting an entirely new failure:

  CC       readline.lo
readline.c:432:7: warning: implicitly declaring library function 'strncmp'
with type 'int (const char *, const char *,
      unsigned long)' [-Wimplicit-function-declaration]
  if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))
      ^
readline.c:432:7: note: include the header <string.h> or explicitly provide
a declaration for 'strncmp'
readline.c:432:16: warning: implicit declaration of function
'rl_get_keymap_name' is invalid in C99
      [-Wimplicit-function-declaration]
  if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))
               ^
readline.c:432:16: warning: incompatible integer to pointer conversion
passing 'int' to parameter of type 'const char *'
      [-Wint-conversion]
  if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
3 warnings generated.
  CCLD     guile-readline.la
Undefined symbols for architecture x86_64:
  "_rl_get_keymap_name", referenced from:
      _scm_init_readline in readline.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see
invocation)

On Thu, Jan 23, 2020 at 3:35 PM Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Hi,
>
> John Cowan <cowan@HIDDEN> skribis:
>
> > Thanks.  Unfortunately, the standard recipe for making core dumps on Ma=
c
>
> This bug report is about Cygwin, not macOS, right?  :-)
>
> Ludo=E2=80=99.
>

--0000000000005ce83c059ce3b13d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Both Cygwin and MacOS crash in pretty much the same way.=
=C2=A0 By disabling the JIT, I was able to get the Cygwin build to run to c=
ompletion.=C2=A0 On MacOS with --disable-jit, however, I am now getting an =
entirely new failure:<div><br></div><div>=C2=A0 CC =C2=A0 =C2=A0 =C2=A0 rea=
dline.lo<br>readline.c:432:7: warning: implicitly declaring library functio=
n &#39;strncmp&#39; with type &#39;int (const char *, const char *,<br>=C2=
=A0 =C2=A0 =C2=A0 unsigned long)&#39; [-Wimplicit-function-declaration]<br>=
=C2=A0 if (strncmp (rl_get_keymap_name (rl_get_keymap ()), &quot;vi&quot;, =
2))<br>=C2=A0 =C2=A0 =C2=A0 ^<br>readline.c:432:7: note: include the header=
 &lt;string.h&gt; or explicitly provide a declaration for &#39;strncmp&#39;=
<br>readline.c:432:16: warning: implicit declaration of function &#39;rl_ge=
t_keymap_name&#39; is invalid in C99<br>=C2=A0 =C2=A0 =C2=A0 [-Wimplicit-fu=
nction-declaration]<br>=C2=A0 if (strncmp (rl_get_keymap_name (rl_get_keyma=
p ()), &quot;vi&quot;, 2))<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0^<br>readline.c:432:16: warning: incompatible integer to pointer =
conversion passing &#39;int&#39; to parameter of type &#39;const char *&#39=
;<br>=C2=A0 =C2=A0 =C2=A0 [-Wint-conversion]<br>=C2=A0 if (strncmp (rl_get_=
keymap_name (rl_get_keymap ()), &quot;vi&quot;, 2))<br>=C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~<br=
>3 warnings generated.<br>=C2=A0 CCLD =C2=A0 =C2=A0 <a href=3D"http://guile=
-readline.la">guile-readline.la</a><br>Undefined symbols for architecture x=
86_64:<br>=C2=A0 &quot;_rl_get_keymap_name&quot;, referenced from:<br>=C2=
=A0 =C2=A0 =C2=A0 _scm_init_readline in readline.o<br>ld: symbol(s) not fou=
nd for architecture x86_64<br>clang: error: linker command failed with exit=
 code 1 (use -v to see invocation)<br></div></div><br><div class=3D"gmail_q=
uote"><div dir=3D"ltr" class=3D"gmail_attr">On Thu, Jan 23, 2020 at 3:35 PM=
 Ludovic Court=C3=A8s &lt;<a href=3D"mailto:ludo@HIDDEN">ludo@HIDDEN</a>&=
gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0=
px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Hi,<b=
r>
<br>
John Cowan &lt;<a href=3D"mailto:cowan@HIDDEN" target=3D"_blank">cowan@cc=
il.org</a>&gt; skribis:<br>
<br>
&gt; Thanks.=C2=A0 Unfortunately, the standard recipe for making core dumps=
 on Mac<br>
<br>
This bug report is about Cygwin, not macOS, right?=C2=A0 :-)<br>
<br>
Ludo=E2=80=99.<br>
</blockquote></div>

--0000000000005ce83c059ce3b13d--




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 23 Jan 2020 20:36:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 23 15:36:04 2020
Received: from localhost ([127.0.0.1]:53223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iujCu-0002EF-Bv
	for submit <at> debbugs.gnu.org; Thu, 23 Jan 2020 15:36:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iujCs-0002Dl-30
 for 39118 <at> debbugs.gnu.org; Thu, 23 Jan 2020 15:36:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37692)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iujCl-0004eh-Dz; Thu, 23 Jan 2020 15:35:55 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=59204 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iujCe-0001Wl-B9; Thu, 23 Jan 2020 15:35:53 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Cowan <cowan@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
 <87sgk9faih.fsf@HIDDEN>
 <CAD2gp_Ts8VfLUaQ+kC=g+f_5mv0jzLZpN_-U9dvi6Y4jy0-cLw@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 =?utf-8?Q?Pluvi=C3=B4se?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 23 Jan 2020 21:35:46 +0100
In-Reply-To: <CAD2gp_Ts8VfLUaQ+kC=g+f_5mv0jzLZpN_-U9dvi6Y4jy0-cLw@HIDDEN>
 (John Cowan's message of "Tue, 21 Jan 2020 16:37:01 -0500")
Message-ID: <871rrpoqql.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

John Cowan <cowan@HIDDEN> skribis:

> Thanks.  Unfortunately, the standard recipe for making core dumps on Mac

This bug report is about Cygwin, not macOS, right?  :-)

Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 21 Jan 2020 21:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 21 16:53:49 2020
Received: from localhost ([127.0.0.1]:48627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iu1Sz-0003YC-C1
	for submit <at> debbugs.gnu.org; Tue, 21 Jan 2020 16:53:49 -0500
Received: from mail-qk1-f175.google.com ([209.85.222.175]:39695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cowan@HIDDEN>) id 1iu1St-0003Xw-Vx
 for 39118 <at> debbugs.gnu.org; Tue, 21 Jan 2020 16:53:44 -0500
Received: by mail-qk1-f175.google.com with SMTP id c16so4393328qko.6
 for <39118 <at> debbugs.gnu.org>; Tue, 21 Jan 2020 13:53:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ccil-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=G+HZDvMrloxDQDAcFoFPZLAehrvH4Dtp5U+bZz1myK0=;
 b=05dAiTesdcxoJ2DGWufMT9FIlZ9sEli61cqYTdO/i4AAB9/2i8MbW9xI9viuntw3Xq
 mn37NgXhD1RU40bqgGKBfL6rMJhuLPOkSog4mMgBq0CGW6zg9U9CKftzI3zaccbddiJu
 J6QCc0nzxM+V8wRGRz0Bcu3ZBKzVYP3BEmmUQTwrizl3RsqGKQpinQ+gejFvnUytcfit
 3ityrUGSXu7++xZ5qXcGIiuwHtwDcEJne8Xr2oooKtMig2xKpo7Ss+GPVXDcFjeKDd2d
 /qqpbiLdutI/sOaT1udIVkbXeclSznVN0KE4Nz2GwUufmkVpxIsTCw2mf4Vb3iU8KqHU
 3uiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=G+HZDvMrloxDQDAcFoFPZLAehrvH4Dtp5U+bZz1myK0=;
 b=DdtVH00R4W1ASLq/JrVQXdYQmAbXA8OENosXXHfmrZLDQ8l9bcgisCg3VwN/BvIZXL
 rtVf11X4CVd7rCERQ8AA0LLRRVsfuy5Bh8It2XEe/8T6HDJe1SvEmwIqjyDBIj22Ts+D
 QzmO6fA/l+dIQU7kHuFlBWwjDxqwGbWonFelI1e9a7xpu0ZfoC8oFFJ2FBsKWgdP340u
 sJQ8eJ+iT+xhavUMGRrvyDOcuoXXrAE0H7CmH8+kZxRF0qUVyDUtQ++d7dtgM+B32+Gt
 a4S7zyPJPrS3LCMmojcqplpZiV4bza1Gsrv4WMgqI9rdvsWnKBfai4lIvmojTb1K/9Ip
 rx4g==
X-Gm-Message-State: APjAAAUU8rm+u5lpy7NDwNPHnhlguxjFtJUHhIQ/U0TeuSUxG+XPT4Lx
 5NfAqvVsD35muMDjQCKJGCXCQkRyEKc3Gpe6mc1DaQ==
X-Google-Smtp-Source: APXvYqzxGcBaezfyexk24RixAcnclXIvmuYRiL989kwChxeAuqrmh57A51BIzGJY2j5Gq1oQ4zFCG4T9tWdt6kuKelQ=
X-Received: by 2002:a05:620a:12c4:: with SMTP id
 e4mr6856610qkl.359.1579643614389; 
 Tue, 21 Jan 2020 13:53:34 -0800 (PST)
MIME-Version: 1.0
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
 <87sgk9faih.fsf@HIDDEN> <20200121184011.GA1659@dtk>
In-Reply-To: <20200121184011.GA1659@dtk>
From: John Cowan <cowan@HIDDEN>
Date: Tue, 21 Jan 2020 16:53:23 -0500
Message-ID: <CAD2gp_RYuBNyrvk2SsWg3egtaw6o+MYh1PAJx2Ki60yxURSUJw@HIDDEN>
Subject: Re: bug#39118: Segfault while building on 64-bit Cygwin
To: szgyg <szgyg@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000081fcf0059cad7085"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39118
Cc: 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000081fcf0059cad7085
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I'm no longer talking about Cygwin (which builds fine without JIT).  I'm
now talking about MacOS Catalina, which needs a core dump to debug, but on
which nobody seems to know how to enable core dumps.

On Tue, Jan 21, 2020 at 1:41 PM szgyg <szgyg@HIDDEN> wrote:

> On Tue, Jan 21, 2020 at 10:01:58AM +0100, Ludovic Court=C3=A8s wrote:
> > but before that you=E2=80=99d run
> > =E2=80=9Culimit -c unlimited=E2=80=9D in that shell to make sure there=
=E2=80=99s a core dumped
> > when it crashes.
>
> This won't work on cygwin. If you want a core dump, you should use the
> dumper tool, as described here
> https://cygwin.com/cygwin-ug-net/dumper.html
> Or you can set error_start to gdb to get an interactive gdb session on
> error.
>
> s
>
>
>
>

--00000000000081fcf0059cad7085
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I&#39;m no longer talking about Cygwin (which builds fine =
without JIT).=C2=A0 I&#39;m now talking about MacOS Catalina, which needs a=
 core dump to debug, but on which nobody seems to know how to enable core d=
umps.</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_a=
ttr">On Tue, Jan 21, 2020 at 1:41 PM szgyg &lt;<a href=3D"mailto:szgyg@lude=
ns.elte.hu">szgyg@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rg=
b(204,204,204);padding-left:1ex">On Tue, Jan 21, 2020 at 10:01:58AM +0100, =
Ludovic Court=C3=A8s wrote:<br>
&gt; but before that you=E2=80=99d run<br>
&gt; =E2=80=9Culimit -c unlimited=E2=80=9D in that shell to make sure there=
=E2=80=99s a core dumped<br>
&gt; when it crashes.<br>
<br>
This won&#39;t work on cygwin. If you want a core dump, you should use the<=
br>
dumper tool, as described here<br>
<a href=3D"https://cygwin.com/cygwin-ug-net/dumper.html" rel=3D"noreferrer"=
 target=3D"_blank">https://cygwin.com/cygwin-ug-net/dumper.html</a><br>
Or you can set error_start to gdb to get an interactive gdb session on erro=
r.<br>
<br>
s<br>
<br>
<br>
<br>
</blockquote></div>

--00000000000081fcf0059cad7085--




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 21 Jan 2020 21:37:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 21 16:37:20 2020
Received: from localhost ([127.0.0.1]:48614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iu1D5-0003AB-Sb
	for submit <at> debbugs.gnu.org; Tue, 21 Jan 2020 16:37:20 -0500
Received: from mail-qt1-f172.google.com ([209.85.160.172]:33548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cowan@HIDDEN>) id 1iu1D3-00039y-R9
 for 39118 <at> debbugs.gnu.org; Tue, 21 Jan 2020 16:37:18 -0500
Received: by mail-qt1-f172.google.com with SMTP id d5so3992305qto.0
 for <39118 <at> debbugs.gnu.org>; Tue, 21 Jan 2020 13:37:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ccil-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=/p9ktg51GPPAxaRkrPD9nI8C/W3Lv/t0GIxJcEfDRmw=;
 b=Tzzl4Np1xW806q2uDabJy9v2M1zvuyRZB7jW58R0lV09q019defsfcujVFSZHo1f45
 57sDBHM86Xrk3xdrcklseulZHajBFB8w8tGd5xE5Og4pho4vgWEUZxQMasb0pWzOmp2W
 HdH81Mn6GXZ00yLID0hoNbjshgqdqt+IkYBuXGuLyECahDrJOA9WZUfkP+VTMAsm4G3Q
 DxqDcLWxsccYZOEXVUYYV+5tV4sDpcw3kHDB4sv82jAHTfFDNZA5gFm5v621hswqNhHi
 37XKMdPWtchfiAgACSINfYrJRJHz7maaOp2VHQT9SRs72aNc1hSp3/NytorjtR01zfVx
 z5Sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=/p9ktg51GPPAxaRkrPD9nI8C/W3Lv/t0GIxJcEfDRmw=;
 b=JvHyuMsAzPipdzeIQtkzunewgydUzDze73/eoh25/KsG6HUB/b215hBWUANsVCoroS
 EkBc8kRnHAEKFdDM0O3fJPuH4vrYLatMf0lLcdKMFjJHjTVOnvOgTHhH2z/wTJCPEI1R
 WuV4uFlvh3IXzmbYs2qEnTwIG5DxdoKkROd254la7NhUb4I+u6g1xGHK4RZwGaxE+Nw2
 ZZg+O7iZVWNd9hgKq/tMVTIHCRBde3AnjUWR2Eaf/fRsbHDnU30xcohpf9W8F6f12Wsm
 Qe/vVj6EyiYyumk3jIIUizoNVdQWNoBiu1lhxWJQwl2itw9AwpZasiyGmVunLcb+zU4P
 5AnA==
X-Gm-Message-State: APjAAAVxn3/eMQ9RvinJG9TP4pA4C5mDO1sWWOt+9+rQXg1ATDwEj5V9
 mddKVTmR307xSvUaR0UA7fsMvJPf0z1rCMW0fOfjfA==
X-Google-Smtp-Source: APXvYqyV8zfuWhF0KUomMwcsNWWY4D58q4niq1EtvcQXptPgigb4SQuYpejWEV7sC3m45AKnBD/pn2+kEOOrADK+iE8=
X-Received: by 2002:ac8:454e:: with SMTP id z14mr1511188qtn.83.1579642632257; 
 Tue, 21 Jan 2020 13:37:12 -0800 (PST)
MIME-Version: 1.0
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
 <87sgk9faih.fsf@HIDDEN>
In-Reply-To: <87sgk9faih.fsf@HIDDEN>
From: John Cowan <cowan@HIDDEN>
Date: Tue, 21 Jan 2020 16:37:01 -0500
Message-ID: <CAD2gp_Ts8VfLUaQ+kC=g+f_5mv0jzLZpN_-U9dvi6Y4jy0-cLw@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f7d757059cad35c1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f7d757059cad35c1
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Thanks.  Unfortunately, the standard recipe for making core dumps on Mac
(put "limit core unlimited" into /etc/launchd.conf and reboot, make sure
/cores is writable, set ulimit -c unlimited) seem to actually enable them
on MacOS Catalina (10.15.2).  I have tested with SIGQUIT and SIGSEGV on
running processes and no dumps appear in /cores.

On Tue, Jan 21, 2020 at 4:02 AM Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Hello,
>
> John Cowan <cowan@HIDDEN> skribis:
>
> > Yes, gladly, but I don't know how to get one in this context.
>
> You would unpack, configure, and build like you did before (with JIT
> enabled, so as to reproduce the crash), but before that you=E2=80=99d run
> =E2=80=9Culimit -c unlimited=E2=80=9D in that shell to make sure there=E2=
=80=99s a core dumped
> when it crashes.
>
> Once it has crashed, locate the =E2=80=98core=E2=80=99 file (or =E2=80=98=
core.*=E2=80=99), and run, say:
>
>   gdb libguile/.libs/guile bootstrap/core
>
> Then from the GDB prompt:
>
>   thread apply all bt
>
> TIA,
> Ludo=E2=80=99.
>

--000000000000f7d757059cad35c1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thanks.=C2=A0 Unfortunately, the standard recipe for makin=
g core dumps on Mac (put &quot;limit core unlimited&quot; into /etc/launchd=
.conf=C2=A0and reboot, make sure /cores is writable, set ulimit -c unlimite=
d) seem to actually enable them on MacOS Catalina (10.15.2).=C2=A0 I have t=
ested with SIGQUIT and SIGSEGV on running processes and no dumps appear in =
/cores.<br></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"g=
mail_attr">On Tue, Jan 21, 2020 at 4:02 AM Ludovic Court=C3=A8s &lt;<a href=
=3D"mailto:ludo@HIDDEN">ludo@HIDDEN</a>&gt; wrote:<br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px soli=
d rgb(204,204,204);padding-left:1ex">Hello,<br>
<br>
John Cowan &lt;<a href=3D"mailto:cowan@HIDDEN" target=3D"_blank">cowan@cc=
il.org</a>&gt; skribis:<br>
<br>
&gt; Yes, gladly, but I don&#39;t know how to get one in this context.<br>
<br>
You would unpack, configure, and build like you did before (with JIT<br>
enabled, so as to reproduce the crash), but before that you=E2=80=99d run<b=
r>
=E2=80=9Culimit -c unlimited=E2=80=9D in that shell to make sure there=E2=
=80=99s a core dumped<br>
when it crashes.<br>
<br>
Once it has crashed, locate the =E2=80=98core=E2=80=99 file (or =E2=80=98co=
re.*=E2=80=99), and run, say:<br>
<br>
=C2=A0 gdb libguile/.libs/guile bootstrap/core<br>
<br>
Then from the GDB prompt:<br>
<br>
=C2=A0 thread apply all bt<br>
<br>
TIA,<br>
Ludo=E2=80=99.<br>
</blockquote></div>

--000000000000f7d757059cad35c1--




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 21 Jan 2020 18:40:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 21 13:40:29 2020
Received: from localhost ([127.0.0.1]:48473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ityRs-00039n-MV
	for submit <at> debbugs.gnu.org; Tue, 21 Jan 2020 13:40:29 -0500
Received: from mx2.mail.elte.hu ([157.181.151.9]:44512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <szgyg@HIDDEN>) id 1ityRm-00039Z-FH
 for 39118 <at> debbugs.gnu.org; Tue, 21 Jan 2020 13:40:23 -0500
Received: from mailbox1.caesar.elte.hu ([157.181.151.157])
 by mx2.mail.elte.hu with esmtp (Exim) id 1ityRj-0002m8-6H
 from <szgyg@HIDDEN>; Tue, 21 Jan 2020 19:40:17 +0100
Received: (Authenticated sender: szgyg) by mailbox1.caesar.elte.hu with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.84_2)
 (envelope-from <szgyg@HIDDEN>)
 id 1ityRi-0003bd-F7; Tue, 21 Jan 2020 19:40:14 +0100
Date: Tue, 21 Jan 2020 19:40:12 +0100
From: szgyg <szgyg@HIDDEN>
To: 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
Subject: Re: bug#39118: Segfault while building on 64-bit Cygwin
Message-ID: <20200121184011.GA1659@dtk>
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
 <87sgk9faih.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87sgk9faih.fsf@HIDDEN>
User-Agent: Mutt/1.9.0 (2017-09-02)
X-ELTE-SpamScore: -6.1
X-ELTE-SpamLevel: 
X-ELTE-SpamCheck: no
X-ELTE-SpamVersion: ELTE 3.0 
X-ELTE-SpamCheck-Details: score=-6.1 required=5.0 tests=ALL_TRUSTED, BAYES_00,
 L_AUTH autolearn=ham autolearn_force=no SpamAssassin
 version=3.4.2
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -5.0 L_AUTH                 Caesar auth
 -0.1 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39118
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Jan 21, 2020 at 10:01:58AM +0100, Ludovic Courtès wrote:
> but before that you’d run
> “ulimit -c unlimited” in that shell to make sure there’s a core dumped
> when it crashes.

This won't work on cygwin. If you want a core dump, you should use the
dumper tool, as described here
https://cygwin.com/cygwin-ug-net/dumper.html
Or you can set error_start to gdb to get an interactive gdb session on error.

s




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 21 Jan 2020 09:02:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 21 04:02:17 2020
Received: from localhost ([127.0.0.1]:46463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itpQL-0003RV-2w
	for submit <at> debbugs.gnu.org; Tue, 21 Jan 2020 04:02:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1itpQF-0003RF-F0
 for 39118 <at> debbugs.gnu.org; Tue, 21 Jan 2020 04:02:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41516)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1itpQ8-0006KZ-UK; Tue, 21 Jan 2020 04:02:00 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=33030 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1itpQ8-0003d4-8z; Tue, 21 Jan 2020 04:02:00 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Cowan <cowan@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 =?utf-8?Q?Pluvi=C3=B4se?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 21 Jan 2020 10:01:58 +0100
In-Reply-To: <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
 (John Cowan's message of "Mon, 20 Jan 2020 11:38:35 -0500")
Message-ID: <87sgk9faih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

John Cowan <cowan@HIDDEN> skribis:

> Yes, gladly, but I don't know how to get one in this context.

You would unpack, configure, and build like you did before (with JIT
enabled, so as to reproduce the crash), but before that you=E2=80=99d run
=E2=80=9Culimit -c unlimited=E2=80=9D in that shell to make sure there=E2=
=80=99s a core dumped
when it crashes.

Once it has crashed, locate the =E2=80=98core=E2=80=99 file (or =E2=80=98co=
re.*=E2=80=99), and run, say:

  gdb libguile/.libs/guile bootstrap/core

Then from the GDB prompt:

  thread apply all bt

TIA,
Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 20 Jan 2020 17:23:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 12:23:22 2020
Received: from localhost ([127.0.0.1]:45957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1italh-0004GH-HA
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 12:23:22 -0500
Received: from sonic311-24.consmr.mail.ne1.yahoo.com ([66.163.188.205]:38661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spk121@HIDDEN>) id 1italb-0004Fp-5D
 for 39118 <at> debbugs.gnu.org; Mon, 20 Jan 2020 12:23:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1579540985; bh=mfogZgRaOo5QJNXSRLpp4UQ68KKLw/X/rpoXgQc18fM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=Xw2mtSfmoP6RbzWynvvHcUYRLsi2AnOnEEyuF4D9cnLnxUVA2Lu7062faWOjCV+K6u5hak0xswiT6AAo+3ZPeIyg7yTIMGPEPNKtQEnuHQYkPzh67bJhT1lZBYbM6+Pz6x2ItGiwCbxZPflX9ttF70p3NSIwz6IgrUyCOTLr1/mMUFCsHtlO8fCuAfWnfmmRHiN339eVxErCd8xXaRSzLY+B1SK0qCXFXH1jYtE4unikNow/uyf594lAIctRkWvUo+x0aMfLFEvOAzHeRwMuVFICqyxg9Mp+fBdx7P4vrJNuX/yWg1HVd6ZjjrrAJ2jdB78sUQXIB5cu1YXSn1CWhQ==
X-YMail-OSG: iUwXhUgVM1ntE6wUqhZnfa_CIbJu.MYa7_TuU5O9oSS6MP4Gmbd7r9qZEF5glhL
 EQL2yhoqyg_P1DOjT0AJWS1pJIylRRlHnB8LiDqLpbpAeLV6A6vOyK1M7rCoRUhTfoQ_iKVeSxOH
 YMnVhFfTBCtZlabxZqFaaZObhub6rLe9zG3g8vTRokM4BOKJh2lz0MYTFVV_p0aV9x_mfOoa8lkY
 Qju8pkoVX5KjDUilZEb25o4AQXPey_ofimajA_xNDBjd5cAYrwxZGEH5SCjzCmZo9TvkfRfXvK_R
 pHaZPd1KkU5t9BS1RfFuS2skAcKvY9jRILJQkHt.vAIAMiQblR1_s4j0a0ivy8YxQVCVPbKeBtBt
 9RJpba9eoaTs8jAtIdfvVizkwwL6KpP6swfzAmIrywSGfXVfcipCRcVTQBiwqWaMaCI1R2qu7QC_
 T_YGkb_JqLPFAyk21N.3gXpEPBMxvy4RPMi4shB6qmeOHtu8zDJCLUEup6Zl.TeSzMFSheM0ljX7
 L8jaOgH0CvMYKLVmYCb7CAL9Nobok5P.BBi.xTCjZmiaAg6tgm7Bsja9qI4KrDNmT_KwLp_EvMv_
 saKIlddzilD3etGSoqQs.fln0WHZqUQ_X7Wk7p3n9o9HnxUYPXwTAp1_vFkIVu5ekneCC6AWosVm
 S8z5nwhyyeV4jw0RNt6FGEUCGQZ8Vr0iUu7RBn8t49mOAUhG84bcVuVvYHbbiiHEOrXYYA8RrxVX
 7vzSZMdsfQzFt6lds7rc2dIqFYqXACZuTEi7inWgi7rak98l1VhA2m0xOQzzD9.JftZ.HaB7KfvP
 BWuAhj.w8d4x_pqgW2mZ1cRSSyWj9dPzuOyhKYN2NdFxHWUHO5ommB_jl7RGpMn7XFZ6cVn_Nidx
 pWr_ETIANBLLtGKqxAcP__DmEknXMzfl5AiRkkQ9oPfHVIWS2sfv5EF8FmuY5glM_t9fCE2QgOH9
 CW0FqZUakodRhPLsLW9SKsEji8Ymt9TgZweGtnyuLqV7jLBf8PH9XnB_mcVnwLb0dIYB6b_rYL_P
 .p6edCf7uThveyhOPr3hOde3VQtVS4fAK7zt5Mlw9OZlna72riSczz4Xm5A3ZjA9JBv0v0miLSAu
 mKsd67YbCsQOtLcWyToxk7715zrquFHA0x3aHukRckVp5sGB0GPZFqZIq2TLUV59wtyDGUzeiACu
 TKjVPK4LdYXYWIc6rCCD7xqiz6Z_hb1jj99qu88M1X6Jd09xLnRRi1YV1xxqh1nFWuty4KFe_84_
 7qCC5j_XYl6fo7Fi_l2kVbuhTWfH8hp4xbXmQnaltmzaoxjaJgUMWnBHhaaoBYeVVxlcLf5mHGk9
 .AsO6wNwI.lzv2qjkqFzpKMWEc7YUFIlS6na6hN3U1_5e.A9caVwfPLGgM._siX.mQs.nhYUXzOG
 z.WFbzwrFDawni5g-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Mon, 20 Jan 2020 17:23:05 +0000
Received: by smtp426.mail.ne1.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 36e5090f0f2fbfe91084be224ec10e7c; 
 Mon, 20 Jan 2020 17:23:00 +0000 (UTC)
Date: Mon, 20 Jan 2020 09:22:53 -0800
From: Mike Gran <spk121@HIDDEN>
To: John Cowan <cowan@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
Message-ID: <20200120172253.GA1112065@HIDDEN>
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
X-Mailer: WebService/1.1.15077 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 1017
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org,
 Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Jan 20, 2020 at 11:38:35AM -0500, John Cowan wrote:
> Yes, gladly, but I don't know how to get one in this context.  Do I need to
> add some flags to the Makefile, and if so, where?  (It's a twisty maze of
> passages, all different.) . Note that this *is* a build with JIT enabled;
> when I disable it using the env variable, there are no errors and 3.0.0
> works fine.
> 
> Also, it may take some time, as I have to rebuild my Windows system.

I also tried building Guile 3.0.0 on Cygwin 3.1.x.  The failure comes from
trying to parse compiled .go files.

The last time that I had this sort of problem, it was because the
O_BINARY flag was dropped or missing when writing .go files, leading
to CR+LF characters in the compiled files.  And I diagnosed it by
byte-comparing Linux-compiled .go files with Cygwin-compiled .go
files, and by looking for CR+LF combinations in the compiled .go
files.

I don't know if that is what is happening here, but, I'll check that
next time I have a chance.

Thanks,
Michael




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 20 Jan 2020 17:23:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 12:23:17 2020
Received: from localhost ([127.0.0.1]:45955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itald-0004GA-EG
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 12:23:17 -0500
Received: from sonic311-24.consmr.mail.ne1.yahoo.com ([66.163.188.205]:43182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spk121@HIDDEN>) id 1italb-0004Fq-5s
 for 39118 <at> debbugs.gnu.org; Mon, 20 Jan 2020 12:23:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1579540985; bh=mfogZgRaOo5QJNXSRLpp4UQ68KKLw/X/rpoXgQc18fM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=Xw2mtSfmoP6RbzWynvvHcUYRLsi2AnOnEEyuF4D9cnLnxUVA2Lu7062faWOjCV+K6u5hak0xswiT6AAo+3ZPeIyg7yTIMGPEPNKtQEnuHQYkPzh67bJhT1lZBYbM6+Pz6x2ItGiwCbxZPflX9ttF70p3NSIwz6IgrUyCOTLr1/mMUFCsHtlO8fCuAfWnfmmRHiN339eVxErCd8xXaRSzLY+B1SK0qCXFXH1jYtE4unikNow/uyf594lAIctRkWvUo+x0aMfLFEvOAzHeRwMuVFICqyxg9Mp+fBdx7P4vrJNuX/yWg1HVd6ZjjrrAJ2jdB78sUQXIB5cu1YXSn1CWhQ==
X-YMail-OSG: iUwXhUgVM1ntE6wUqhZnfa_CIbJu.MYa7_TuU5O9oSS6MP4Gmbd7r9qZEF5glhL
 EQL2yhoqyg_P1DOjT0AJWS1pJIylRRlHnB8LiDqLpbpAeLV6A6vOyK1M7rCoRUhTfoQ_iKVeSxOH
 YMnVhFfTBCtZlabxZqFaaZObhub6rLe9zG3g8vTRokM4BOKJh2lz0MYTFVV_p0aV9x_mfOoa8lkY
 Qju8pkoVX5KjDUilZEb25o4AQXPey_ofimajA_xNDBjd5cAYrwxZGEH5SCjzCmZo9TvkfRfXvK_R
 pHaZPd1KkU5t9BS1RfFuS2skAcKvY9jRILJQkHt.vAIAMiQblR1_s4j0a0ivy8YxQVCVPbKeBtBt
 9RJpba9eoaTs8jAtIdfvVizkwwL6KpP6swfzAmIrywSGfXVfcipCRcVTQBiwqWaMaCI1R2qu7QC_
 T_YGkb_JqLPFAyk21N.3gXpEPBMxvy4RPMi4shB6qmeOHtu8zDJCLUEup6Zl.TeSzMFSheM0ljX7
 L8jaOgH0CvMYKLVmYCb7CAL9Nobok5P.BBi.xTCjZmiaAg6tgm7Bsja9qI4KrDNmT_KwLp_EvMv_
 saKIlddzilD3etGSoqQs.fln0WHZqUQ_X7Wk7p3n9o9HnxUYPXwTAp1_vFkIVu5ekneCC6AWosVm
 S8z5nwhyyeV4jw0RNt6FGEUCGQZ8Vr0iUu7RBn8t49mOAUhG84bcVuVvYHbbiiHEOrXYYA8RrxVX
 7vzSZMdsfQzFt6lds7rc2dIqFYqXACZuTEi7inWgi7rak98l1VhA2m0xOQzzD9.JftZ.HaB7KfvP
 BWuAhj.w8d4x_pqgW2mZ1cRSSyWj9dPzuOyhKYN2NdFxHWUHO5ommB_jl7RGpMn7XFZ6cVn_Nidx
 pWr_ETIANBLLtGKqxAcP__DmEknXMzfl5AiRkkQ9oPfHVIWS2sfv5EF8FmuY5glM_t9fCE2QgOH9
 CW0FqZUakodRhPLsLW9SKsEji8Ymt9TgZweGtnyuLqV7jLBf8PH9XnB_mcVnwLb0dIYB6b_rYL_P
 .p6edCf7uThveyhOPr3hOde3VQtVS4fAK7zt5Mlw9OZlna72riSczz4Xm5A3ZjA9JBv0v0miLSAu
 mKsd67YbCsQOtLcWyToxk7715zrquFHA0x3aHukRckVp5sGB0GPZFqZIq2TLUV59wtyDGUzeiACu
 TKjVPK4LdYXYWIc6rCCD7xqiz6Z_hb1jj99qu88M1X6Jd09xLnRRi1YV1xxqh1nFWuty4KFe_84_
 7qCC5j_XYl6fo7Fi_l2kVbuhTWfH8hp4xbXmQnaltmzaoxjaJgUMWnBHhaaoBYeVVxlcLf5mHGk9
 .AsO6wNwI.lzv2qjkqFzpKMWEc7YUFIlS6na6hN3U1_5e.A9caVwfPLGgM._siX.mQs.nhYUXzOG
 z.WFbzwrFDawni5g-
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Mon, 20 Jan 2020 17:23:05 +0000
Received: by smtp426.mail.ne1.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 36e5090f0f2fbfe91084be224ec10e7c; 
 Mon, 20 Jan 2020 17:23:00 +0000 (UTC)
Date: Mon, 20 Jan 2020 09:22:53 -0800
From: Mike Gran <spk121@HIDDEN>
To: John Cowan <cowan@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
Message-ID: <20200120172253.GA1112065@HIDDEN>
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
 <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
X-Mailer: WebService/1.1.15077 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 1017
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org,
 Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Jan 20, 2020 at 11:38:35AM -0500, John Cowan wrote:
> Yes, gladly, but I don't know how to get one in this context.  Do I need to
> add some flags to the Makefile, and if so, where?  (It's a twisty maze of
> passages, all different.) . Note that this *is* a build with JIT enabled;
> when I disable it using the env variable, there are no errors and 3.0.0
> works fine.
> 
> Also, it may take some time, as I have to rebuild my Windows system.

I also tried building Guile 3.0.0 on Cygwin 3.1.x.  The failure comes from
trying to parse compiled .go files.

The last time that I had this sort of problem, it was because the
O_BINARY flag was dropped or missing when writing .go files, leading
to CR+LF characters in the compiled files.  And I diagnosed it by
byte-comparing Linux-compiled .go files with Cygwin-compiled .go
files, and by looking for CR+LF combinations in the compiled .go
files.

I don't know if that is what is happening here, but, I'll check that
next time I have a chance.

Thanks,
Michael




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 20 Jan 2020 16:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 11:39:00 2020
Received: from localhost ([127.0.0.1]:45909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ita4n-0000wl-DO
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:39:00 -0500
Received: from mail-qv1-f49.google.com ([209.85.219.49]:36076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cowan@HIDDEN>) id 1ita4h-0000wQ-Jp
 for 39118 <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:38:56 -0500
Received: by mail-qv1-f49.google.com with SMTP id m14so76956qvl.3
 for <39118 <at> debbugs.gnu.org>; Mon, 20 Jan 2020 08:38:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ccil-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=nWr9vCE9uevpdu/ZcI1aR3gJI+3RudT7iCNrrjuiTi8=;
 b=sdIzc+ewKKJrlh4s5BEzQm/9BbrBCI2ogO+CG+yaH6runvpXCQNElWbSnc0qT0Qdlg
 x8jSzgrUqAR3nInMWKZro01P+BzHnJ7qZr5EK6iE/WNiK0gbz7bCFaGqcF9LlLF0PoJb
 gajP3+zntRXW0YhgTNmdgvof0+Ig9offp1iHLS7CD2xS2g1+o9c6yDPDcGJSdaz5FVnI
 pesZDDt948aiDhdDSK0/wkHRFVZKQr4XZUsidDEKUj/j/1BeTZZLcYjbF3azzRuMxw4a
 wqM+shUIQvw9DPIs5ob9k5MXLxnhUkSZRs38ZyVvVM4lMAAzUZ4htDoyx4zJ+w1uUh5C
 yKgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=nWr9vCE9uevpdu/ZcI1aR3gJI+3RudT7iCNrrjuiTi8=;
 b=WGKDYp/Eq1oOuG/5lWVeWaxhWrw84rmgbaWMxVQ7/zIGPJdoF410HOfYeU1ZAjIUxl
 04Dnc0OXQKsHCXVlKYcNzHLbByGcCmfPLEtloTb9XMvaOriEM/TRUCDt+epzdgt6Hwa7
 Ap5kUfD2KlekOtELSaJpaSYALv/pjVwq4arZCogW32QorEYMOU+CtoxqJ5B4/MFmN0EA
 oZqFAkKQqr53xaX7prtquYm4ip4uJhOOJbe2f001OHF1rnuipS7x7b2svDGNGPb5/PBp
 dm8xKR9rxgWQPwZ7I9RGXFZBx+BYWhqjZxoxLalF0jp3r92azoHJo2bIljrNRUCx2Wlb
 krIA==
X-Gm-Message-State: APjAAAWSJeRXK2/kkFJuq2eecuM83kPoaBvW9IuUiXZ6g6z4OkPnrof3
 fdnV5LfqlULMC+P6oGArVfkA7LQhnfBQVsb7kZaovw==
X-Google-Smtp-Source: APXvYqzO6Rk70D46iSesgZpn05wZQQ/C+oe3B+r9GEncR+x6pd2uLn4f0P8Z0MyOkL+YnncMU9LirdCLMscdpHBGBIo=
X-Received: by 2002:a05:6214:11a8:: with SMTP id
 u8mr591982qvv.16.1579538326012; 
 Mon, 20 Jan 2020 08:38:46 -0800 (PST)
MIME-Version: 1.0
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 <875zh6gk72.fsf_-_@HIDDEN>
In-Reply-To: <875zh6gk72.fsf_-_@HIDDEN>
From: John Cowan <cowan@HIDDEN>
Date: Mon, 20 Jan 2020 11:38:35 -0500
Message-ID: <CAD2gp_ReS1DCZmsakcNK-FegZB_fhzOknDf_d0QdyDJVJS6X_A@HIDDEN>
Subject: Re: Segfault while building on 64-bit Cygwin
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d4dd04059c94ec8d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000d4dd04059c94ec8d
Content-Type: text/plain; charset="UTF-8"

Yes, gladly, but I don't know how to get one in this context.  Do I need to
add some flags to the Makefile, and if so, where?  (It's a twisty maze of
passages, all different.) . Note that this *is* a build with JIT enabled;
when I disable it using the env variable, there are no errors and 3.0.0
works fine.

Also, it may take some time, as I have to rebuild my Windows system.

--000000000000d4dd04059c94ec8d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">Yes, gladly, but I don&#39;t know=C2=A0ho=
w to get one in this context.=C2=A0 Do I need to add some flags to the Make=
file, and if so, where?=C2=A0 (It&#39;s a twisty maze of passages, all diff=
erent.) . Note that this *is* a build with JIT enabled; when I disable it u=
sing the env variable, there are no errors and 3.0.0 works fine.</div><div =
dir=3D"ltr"><br></div><div>Also, it may take some time, as I have to rebuil=
d my Windows system.</div></div>

--000000000000d4dd04059c94ec8d--




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 20 Jan 2020 16:35:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 11:35:40 2020
Received: from localhost ([127.0.0.1]:45905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ita1Y-0000s3-CV
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:35:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ita1T-0000rh-Fx
 for 39118 <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:35:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55229)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1ita1M-0008UI-1K; Mon, 20 Jan 2020 11:35:24 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=56578 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ita1C-0002vj-Hg; Mon, 20 Jan 2020 11:35:23 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: John Cowan <cowan@HIDDEN>
Subject: Segfault while building on 64-bit Cygwin
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
Date: Mon, 20 Jan 2020 17:35:13 +0100
In-Reply-To: <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
 (John Cowan's message of "Mon, 13 Jan 2020 12:26:27 -0500")
Message-ID: <875zh6gk72.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39118
Cc: Andy Wingo <wingo@HIDDEN>, 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi John,

John Cowan <cowan@HIDDEN> skribis:

> Guile 2.9.9, like .8 and .7, does not build on Cygwin (64 bit).  Configure
> runs without error, but make crashes with this (truncated to just the tai=
l):
>
> Making all in bootstrap
> make[2]: Entering directory
> '/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9/bootstrap'
>   BOOTSTRAP GUILEC ice-9/eval.go
>   BOOTSTRAP GUILEC ice-9/psyntax-pp.go
>   BOOTSTRAP GUILEC language/cps/intmap.go
>   BOOTSTRAP GUILEC language/cps/intset.go
>   BOOTSTRAP GUILEC language/cps/graphs.go
>   BOOTSTRAP GUILEC ice-9/vlist.go
>   BOOTSTRAP GUILEC srfi/srfi-1.go
> /bin/sh: line 6:  4294 Segmentation fault      (core dumped)
> GUILE_AUTO_COMPILE=3D0 ../meta/build-env guild compile
> --target=3D"x86_64-unknown-cygwin" -O1 -Oresolve-primitives -L
> "/home/rr828893/Downloads/guile-2.9.9/module" -L
> "/home/rr828893/Downloads/guile-2.9.9/guile-readline" -o "srfi/srfi-1.go"
> "../module/srfi/srfi-1.scm"
> make[2]: *** [Makefile:1930: srfi/srfi-1.go] Error 139
> make[2]: Leaving directory
> '/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9/bootstrap'
> make[1]: *** [Makefile:1849: all-recursive] Error 1
> make[1]: Leaving directory
> '/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9'
> make: *** [Makefile:1735: all] Error 2

Could you try building 3.0.0 with JIT enabled and grab a backtrace?

Thanks in advance!

Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.
Changed bug title to '3.0.0 JIT segfaults on 64-bit Cygwin' from 'GNU Guile 2.9.9 Released [beta]' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39118 <at> debbugs.gnu.org:


Received: (at 39118) by debbugs.gnu.org; 13 Jan 2020 23:09:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 18:09:32 2020
Received: from localhost ([127.0.0.1]:60378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8pw-000567-4Y
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 18:09:32 -0500
Received: from mail-qt1-f194.google.com ([209.85.160.194]:35197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cowan@HIDDEN>) id 1ir8pu-00055v-GF
 for 39118 <at> debbugs.gnu.org; Mon, 13 Jan 2020 18:09:30 -0500
Received: by mail-qt1-f194.google.com with SMTP id e12so10754011qto.2
 for <39118 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 15:09:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ccil-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=cgs1In7yFqzQBpgmj0Iom0IJCekuChTPF3n75JiteKI=;
 b=UGGrw9LL3tmMn0ukyuTbQ/LIDrIXlgCR4HyrHt3SF0ZZq9sTOAmpUSvD4kJ1Iv7la5
 tVoeQVxsyZ1wv9RDPf6Z05AMKrshU81Rae4svEbhl5XflgQQuv1fE8IDns6s6BYGTwbf
 39D4Uqky8aTfIfb7reERTpOzHcYedycJcmx3vNIwZOgJWaQbkP2vywSmkwOXLm0fXu0r
 F3zu4ySwuKzRSOO3nF3MtQALoX6VyFr+GBfnuZQCut51ap5JzpjcPj1lzzYUrN5pihF9
 mK7QHjxrqqHF+RQNF3Wr8C7zRQLBBqj6ht/Hjn5BXtMOCLOiKvgHTlKZe20LlwXvLJmC
 Rztw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=cgs1In7yFqzQBpgmj0Iom0IJCekuChTPF3n75JiteKI=;
 b=o3Y3mR/l0nGNFlFYviOEkn737hfwknx6e4yKmh8RM6qX5toFcQdlp+G4hOul2znC9r
 6AxY01Bc53QBAuDqZX2/Yw81vVCxMV5gWDZz3NbtAJLNRi9dyD+UGUEo9dSmtBuBQ3Q8
 f5y3lI7ATFcMDJPkTvtB2RP2sU0zw5kHifzIKGN+cPc/dpnUP/VrdHvTIqqUT+RHbd8c
 BtLwqhIU/kd6ahdxYDJ2B/uq4KZw3RQAS52BbyaL2punAy6KiPke+tOIWvu0iTaXoCLO
 4iNs9QdykLBXBWT4IYs6il/V1UyPtAjvNQ0ElF7aFKBYhGLnI4LQhO/eSC21+w9UG7PQ
 gy+A==
X-Gm-Message-State: APjAAAV8u0WLwvJK71+WRCP/6PM+93sRT+t30XhLhp+9aGLOcrMcltNG
 7fx/mmPt3PWwBiJpnyTwAMMFzFGAbdUGPgcrSbR1uw==
X-Google-Smtp-Source: APXvYqwPenDZR/6S9JgSiM8UXaNMPnwkEibEDo02lTyYs/zXEid/Deun1HCO2rcwDYYqEXmetuQtDnLEBHtMHTR7N/E=
X-Received: by 2002:ac8:4456:: with SMTP id m22mr1003058qtn.362.1578956965098; 
 Mon, 13 Jan 2020 15:09:25 -0800 (PST)
MIME-Version: 1.0
References: <87zherlphs.fsf@HIDDEN>
 <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
In-Reply-To: <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
From: John Cowan <cowan@HIDDEN>
Date: Mon, 13 Jan 2020 18:09:13 -0500
Message-ID: <CAD2gp_SXA1U-FyY3stDKvrHRq=nSHVsqOrAT24KLhnecNgMWrw@HIDDEN>
Subject: Re: bug#39118: GNU Guile 2.9.9 Released [beta]
To: Andy Wingo <wingo@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000005481c059c0d912e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39118
Cc: 39118 <at> debbugs.gnu.org, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000005481c059c0d912e
Content-Type: text/plain; charset="UTF-8"

Okay, with GUILE_JIT_THRESHOLD set to -1 in the environment, I can build
Guile under Cygwin.  There are two test failures which probably reflect
differences between newlib and glibc:

ERROR: time.test: strptime: GNU %s format: strftime fr_FR.utf8 - arguments:
((system-error "strptime" "~A" ("Invalid argument") (22)))
ERROR: time.test: strptime: GNU %s format: strftime fr_FR.iso88591 -
arguments: ((system-error "strptime" "~A" ("Invalid argument") (22)))

And that's that: Cygwin can support Guile 3.0 without JIT.  It might be a
good idea to force this variable on in "configure" when building under
Cygwin.

--00000000000005481c059c0d912e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">Okay, with GUILE_JIT_THRESHOLD set to -1 =
in the environment, I can build Guile under Cygwin.=C2=A0 There are two tes=
t failures which probably reflect differences between newlib and glibc:<div=
><br></div><div>ERROR: time.test: strptime: GNU %s format: strftime fr_FR.u=
tf8 - arguments: ((system-error &quot;strptime&quot; &quot;~A&quot; (&quot;=
Invalid argument&quot;) (22)))<br>ERROR: time.test: strptime: GNU %s format=
: strftime fr_FR.iso88591 - arguments: ((system-error &quot;strptime&quot; =
&quot;~A&quot; (&quot;Invalid argument&quot;) (22)))</div><div><br></div><d=
iv>And that&#39;s that: Cygwin can support Guile 3.0 without JIT.=C2=A0 It =
might be a good idea to force this variable on in &quot;configure&quot; whe=
n building under Cygwin.</div><div><br></div><div><br></div><div><br></div>=
<div><br></div></div></div>

--00000000000005481c059c0d912e--




Information forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2020 17:26:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 12:26:49 2020
Received: from localhost ([127.0.0.1]:59998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir3UG-0002I8-VG
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 12:26:49 -0500
Received: from lists.gnu.org ([209.51.188.17]:48489)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cowan@HIDDEN>) id 1ir3UE-0002Hy-9q
 for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 12:26:47 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39346)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <cowan@HIDDEN>) id 1ir3UB-0007IS-T0
 for bug-guile@HIDDEN; Mon, 13 Jan 2020 12:26:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cowan@HIDDEN>) id 1ir3UA-0005FV-E7
 for bug-guile@HIDDEN; Mon, 13 Jan 2020 12:26:43 -0500
Received: from mail-qk1-x72e.google.com ([2607:f8b0:4864:20::72e]:38083)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <cowan@HIDDEN>) id 1ir3U9-0005AZ-V9
 for bug-guile@HIDDEN; Mon, 13 Jan 2020 12:26:42 -0500
Received: by mail-qk1-x72e.google.com with SMTP id k6so9235549qki.5
 for <bug-guile@HIDDEN>; Mon, 13 Jan 2020 09:26:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ccil-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=m3yYUc+mjNRqI5Q6bE7SjC15JQ2QpUhE2rK1v04KHhw=;
 b=Vz/Zkqv3+uOv+BZn8iGSLKZ5NRt04G9lBXrd+TIfsSwSY7d7I3Si9F8mcYWSaKzArh
 e6I28gPYt9zgcFUDZOsDUHqmYBYUoyf4ABbTvFEvg1fq/6ao2Obc0vawzsFrULXIZOsM
 1cOCfdKYQPovYDZ4fI1bIVKQMEuOshbC8imTfIWfTcloThf4pR3xgX08yFXdhDaMUKUc
 vaaiZYw7WZWo0i59UWACCQXj6/ZR2AiPdAlnRVDNKeS0yxMWt+qQbv2b+K/7yamNIWF3
 /jYNhQ3sP/LG/XMbjGxK8iAALdzy4GH2GujmQfaMZhoVC79crDhuFcXBssNKuB9F4v0w
 pr9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=m3yYUc+mjNRqI5Q6bE7SjC15JQ2QpUhE2rK1v04KHhw=;
 b=DWr+qoc23UiGRMUWky+4ZsNE5LEYJm8YNyZkKlJBrvMpx/QNlsqAnayQYB9ecPq+lb
 kEJwani59fer9VUMlZuALtAx25WFdO3CO4n6lSwxOu8D3GhRPCWbdnB5g63a8QayI3B3
 /3yc7Fx5v+IaO+zgha6OC0W4IB43Zre3TrIYS2UQtTwCypAmqTw1VS5DM1opXFLNDDkF
 6t/i+lIv+j9Uyge29Jbc/XP+FsNZ1TQMyfwefQa1eUGDb+Qo0yu69pYCfRGW/MJzVWib
 UbtrgZc5wLF1nnSpiD4QeVAFtrEWxJKXyaFnffap6h8qTjy8jy4P4wG3r0yb9HM6ELdg
 f4fQ==
X-Gm-Message-State: APjAAAXPMaHKT/75nt71p1JQVvS9vDx7/7uBSJSsYvMFkUB0dN3rr4oQ
 084+Dg36pXjffeZtqQiZ6i7ZDQG+LahkbdhMWtdlzQ==
X-Google-Smtp-Source: APXvYqwRasveWe96iQRA4BKI0ZCTHTGY8rPseR8OuyyLeyJJg46fSV8662RU5RqYFbB20Vcyt8tgAlhkaNJNbzal3/w=
X-Received: by 2002:a37:e507:: with SMTP id e7mr17681786qkg.358.1578936398469; 
 Mon, 13 Jan 2020 09:26:38 -0800 (PST)
MIME-Version: 1.0
References: <87zherlphs.fsf@HIDDEN>
In-Reply-To: <87zherlphs.fsf@HIDDEN>
From: John Cowan <cowan@HIDDEN>
Date: Mon, 13 Jan 2020 12:26:27 -0500
Message-ID: <CAD2gp_TRK0s7WthpQsh2SnKStUFOFrJZ5wc4TD_mFn1OUotWJg@HIDDEN>
Subject: Re: GNU Guile 2.9.9 Released [beta]
To: Andy Wingo <wingo@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000276f43059c08c7a6"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::72e
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guile@HIDDEN, guile-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000276f43059c08c7a6
Content-Type: text/plain; charset="UTF-8"

Guile 2.9.9, like .8 and .7, does not build on Cygwin (64 bit).  Configure
runs without error, but make crashes with this (truncated to just the tail):

Making all in bootstrap
make[2]: Entering directory
'/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9/bootstrap'
  BOOTSTRAP GUILEC ice-9/eval.go
  BOOTSTRAP GUILEC ice-9/psyntax-pp.go
  BOOTSTRAP GUILEC language/cps/intmap.go
  BOOTSTRAP GUILEC language/cps/intset.go
  BOOTSTRAP GUILEC language/cps/graphs.go
  BOOTSTRAP GUILEC ice-9/vlist.go
  BOOTSTRAP GUILEC srfi/srfi-1.go
/bin/sh: line 6:  4294 Segmentation fault      (core dumped)
GUILE_AUTO_COMPILE=0 ../meta/build-env guild compile
--target="x86_64-unknown-cygwin" -O1 -Oresolve-primitives -L
"/home/rr828893/Downloads/guile-2.9.9/module" -L
"/home/rr828893/Downloads/guile-2.9.9/guile-readline" -o "srfi/srfi-1.go"
"../module/srfi/srfi-1.scm"
make[2]: *** [Makefile:1930: srfi/srfi-1.go] Error 139
make[2]: Leaving directory
'/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9/bootstrap'
make[1]: *** [Makefile:1849: all-recursive] Error 1
make[1]: Leaving directory
'/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9'
make: *** [Makefile:1735: all] Error 2

All previous problems (which were easy to work around) have gone away in
this release, which is progress, but it doesn't get me past Guile 2.2.



John Cowan          http://vrici.lojban.org/~cowan        cowan@HIDDEN
Your worships will perhaps be thinking that it is an easy thing
to blow up a dog? [Or] to write a book?
    --Don Quixote, Introduction

--000000000000276f43059c08c7a6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Guile 2.9.9, like .8 and .7, does not build on Cygwin (64 =
bit).=C2=A0 Configure runs without error, but make crashes with this (trunc=
ated to just the tail):<div><br></div><div>Making all in bootstrap<br>make[=
2]: Entering directory &#39;/cygdrive/c/Users/rr828893/Downloads/guile-2.9.=
9/bootstrap&#39;<br>=C2=A0 BOOTSTRAP GUILEC ice-9/eval.go<br>=C2=A0 BOOTSTR=
AP GUILEC ice-9/psyntax-pp.go<br>=C2=A0 BOOTSTRAP GUILEC language/cps/intma=
p.go<br>=C2=A0 BOOTSTRAP GUILEC language/cps/intset.go<br>=C2=A0 BOOTSTRAP =
GUILEC language/cps/graphs.go<br>=C2=A0 BOOTSTRAP GUILEC ice-9/vlist.go<br>=
=C2=A0 BOOTSTRAP GUILEC srfi/srfi-1.go<br>/bin/sh: line 6: =C2=A04294 Segme=
ntation fault =C2=A0 =C2=A0 =C2=A0(core dumped) GUILE_AUTO_COMPILE=3D0 ../m=
eta/build-env guild compile --target=3D&quot;x86_64-unknown-cygwin&quot; -O=
1 -Oresolve-primitives -L &quot;/home/rr828893/Downloads/guile-2.9.9/module=
&quot; -L &quot;/home/rr828893/Downloads/guile-2.9.9/guile-readline&quot; -=
o &quot;srfi/srfi-1.go&quot; &quot;../module/srfi/srfi-1.scm&quot;<br>make[=
2]: *** [Makefile:1930: srfi/srfi-1.go] Error 139<br>make[2]: Leaving direc=
tory &#39;/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9/bootstrap&#39;<b=
r>make[1]: *** [Makefile:1849: all-recursive] Error 1<br>make[1]: Leaving d=
irectory &#39;/cygdrive/c/Users/rr828893/Downloads/guile-2.9.9&#39;<br>make=
: *** [Makefile:1735: all] Error 2<br></div><div><br></div><div>All previou=
s problems (which were easy to work around) have gone away in this release,=
 which is progress, but it doesn&#39;t get me past Guile 2.2.</div><div><br=
></div><div><br></div><div><br></div><div>John Cowan =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0<a href=3D"http://vrici.lojban.org/~cowan">http://vrici.lojban=
.org/~cowan</a> =C2=A0 =C2=A0 =C2=A0 =C2=A0<a href=3D"mailto:cowan@HIDDEN=
">cowan@HIDDEN</a><br>Your worships will perhaps be thinking that it is a=
n easy thing<br>to blow up a dog? [Or] to write a book?<br>=C2=A0 =C2=A0 --=
Don Quixote, Introduction<br></div><div><br></div></div>

--000000000000276f43059c08c7a6--




Acknowledgement sent to John Cowan <cowan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#39118; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Jan 2020 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.